// -*- C++ -*-
// $Id: Hello_Receiver_comp_exec.cpp 90861 2010-06-25 13:05:29Z mhengstmengel $

#include "Hello_Receiver_comp_exec.h"
#include "ace/OS_NS_unistd.h"

namespace CIAO_Hello_Receiver_comp_Impl
{
  MyFoo_obj_exec_i::MyFoo_obj_exec_i (void)
  {
  }

  MyFoo_obj_exec_i::~MyFoo_obj_exec_i (void)
  {
  }

  ::CORBA::Long
  MyFoo_obj_exec_i::foo (const char * in_str, ::CORBA::String_out answer)
  {
    /* Your code here. */

    // for test purposes : throw an exception.
    if (ACE_OS::strlen (in_str) == 0)
      {
        Hello::InternalError ex (42, "Hello world");
        throw ex;
      }
    else
      {
        ACE_OS::sleep (ACE_OS::rand () % 2);
        answer = CORBA::string_dup ("This is my answer : Hi");
        return ACE_OS::rand () % 100;
      }
  }

  void
  MyFoo_obj_exec_i::hello (::CORBA::Long_out answer)
  {
    /* Your code here. */
    ACE_OS::sleep (ACE_OS::rand () % 2);
    answer = ACE_OS::rand () % 100;
  }

  ::CORBA::Short
  MyFoo_obj_exec_i::rw_attrib ()
  {
    /* Your code here. */
    return ACE_OS::rand () % 100;
  }

  void
  MyFoo_obj_exec_i::rw_attrib (::CORBA::Short /*new_value*/)
  {
    /* Your code here.*/
  }

  CORBA::Short
  MyFoo_obj_exec_i::ro_attrib ()
  {
    /* Your code here. */
    return ACE_OS::rand () % 100;
  }

  Receiver_comp_exec_i::Receiver_comp_exec_i (void)
  {
  }

  Receiver_comp_exec_i::~Receiver_comp_exec_i (void)
  {
  }

  ::Hello::CCM_MyFoo_obj_ptr
  Receiver_comp_exec_i::get_do_my_foo (void)
  {
    return new MyFoo_obj_exec_i ();
  }

  void
  Receiver_comp_exec_i::set_session_context (
    ::Components::SessionContext_ptr ctx)
  {
    this->context_ = ::Hello::CCM_Receiver_comp_Context::_narrow (ctx);

    if ( ::CORBA::is_nil (this->context_.in ()))
      {
        throw ::CORBA::INTERNAL ();
      }
  }

  void
  Receiver_comp_exec_i::configuration_complete (void)
  {
  }

  void
  Receiver_comp_exec_i::ccm_activate (void)
  {
  }

  void
  Receiver_comp_exec_i::ccm_passivate (void)
  {
  }

  void
  Receiver_comp_exec_i::ccm_remove (void)
  {
  }

  extern "C"  ::Components::EnterpriseComponent_ptr
  create_Hello_AMI_Receiver_comp_Impl (void)
  {
    ::Components::EnterpriseComponent_ptr retval =
      ::Components::EnterpriseComponent::_nil ();

    ACE_NEW_RETURN (
      retval,
      Receiver_comp_exec_i,
      ::Components::EnterpriseComponent::_nil ());

    return retval;
  }
}
