/**
 * @author Marcel Smit <msmit@remedy.nl>
 *
 * $Id: ParticipantBuiltinTopicData.h 90010 2010-04-27 06:30:49Z msmit $
 *
 */

#ifndef PARTICIPANTBUILTINTOPICDATA_H_
#define PARTICIPANTBUILTINTOPICDATA_H_

#include "BuiltinTopicKey_t.h"
#include "UserDataQosPolicy.h"

#include "dds4ccm/impl/dds4ccm_conf.h"

#if (CIAO_DDS4CCM_NDDS==1)
inline void
operator<<= (::DDS::ParticipantBuiltinTopicData &ddstopicdata, const ::DDS_ParticipantBuiltinTopicData & topicdata)
{
  ddstopicdata.key <<= topicdata.key;
  ddstopicdata.user_data <<= topicdata.user_data;
}

inline void
operator<<= (::DDS_ParticipantBuiltinTopicData & ddstopicdata, const ::DDS::ParticipantBuiltinTopicData & topicdata)
{
  ddstopicdata.key <<= topicdata.key;
  ddstopicdata.user_data <<= topicdata.user_data;
}

#endif

#endif /* PARTICIPANTBUILTINTOPICDATA_H_ */
